League of Legends WORKING on Linux

First Riot Post
Comment below rating threshold, click here to show it.

TheVanishedOne

Junior Member

05-11-2012

I definitly have libfreetype6, Its required for firefox. Edit: Nvm, Downloaded the -dev Thanks .


Comment below rating threshold, click here to show it.

Elcye

Senior Member

05-11-2012

Good news, PlayOnLinux offers a compiled version with the latest patches, you don't need to compile wine yourself.
How to here: http://na.leagueoflegends.com/board/...php?p=24125030


Comment below rating threshold, click here to show it.

FoxSuicidal

Junior Member

05-16-2012

Connection Failure: Unable to connect to the PVP.net server. help please
when you enter your login and password, sometimes there is a problem when checking for updates


Comment below rating threshold, click here to show it.

Aquasheep

Junior Member

05-17-2012

Did as instructed with Ubuntu 12.04 32bit, but no success. In addition to wine-1.4, I've tried wine-1.5.3. which is supposed to run LoL according to wine's appdb. However, it fails every time, giving a huge and seemingly incomprehensible error message. In short, it says "Wine program crash" on the window title where it should say LoL, and there is a ghost window that I can only get rid of by ending the RADS_usr_kernel process.

As for the error messages, I've gotten several different ones:

1) http://pastebin.com/UK1vED3b - This one is followed by infinite timeouts all with that same error message.

2) The really long log file is too long: pastebin won't let me post it. Basically, it tries to run Pando Media Booster and seemingly succeeds, but there is no window or graphical output of any kind.

If I had to guess what is happening, I think the RADS_usr_kernel fails to create some kind of window that I need, and LoL may actually run decently, but I can't see anything because the window fails. Any thoughts on why that would be?


Comment below rating threshold, click here to show it.

AlmightyPyro

Senior Member

05-17-2012

love this


Comment below rating threshold, click here to show it.

Wolf of Death

This user has referred a friend to League of Legends, click for more information

Junior Member

05-30-2012

Grawr. ie6 can't work because I use 64-bit Ubuntu 12.04. Wish people would get on with the times so I don't get stuck having to choose between blind stabbing or just being forced to 32-bit...


Comment below rating threshold, click here to show it.

Faren the Mighty

Junior Member

06-05-2012

Connection Failure: Unable to connect to the PVP.net server. Help please!!!


Comment below rating threshold, click here to show it.

Broken Twin

This user has referred a friend to League of Legends, click for more information

Member

06-06-2012

Seems to be working for me. You rock!


Comment below rating threshold, click here to show it.

Souto

This user has referred a friend to League of Legends, click for more information

Junior Member

06-07-2012

only 31 likes?
thanks a lot!


Comment below rating threshold, click here to show it.

Akali Bot

Senior Member

06-11-2012

Quote:
Originally Posted by Wolf of Death View Post
Grawr. ie6 can't work because I use 64-bit Ubuntu 12.04. Wish people would get on with the times so I don't get stuck having to choose between blind stabbing or just being forced to 32-bit...
use ie8 instead